net.minecraft.client.gui

## Class GuiYesNo

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.GuiYesNo

- Direct Known Subclasses:
    GuiConfirmOpenLink, GuiOldSaveLoadConfirm

      public class GuiYesNo
      extends GuiScreen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `cancelButtonText`
    `protected java.lang.String` | `confirmButtonText`
    `protected java.lang.String` | `field_146351_f`
    `protected int` | `field_146357_i`
    `protected GuiScreen` | `parentScreen`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiYesNo(GuiScreen par1GuiScreen, java.lang.String par2Str, java.lang.String par3Str, int par4)`
    `GuiYesNo(GuiScreen par1GuiScreen, java.lang.String par2Str, java.lang.String par3Str, java.lang.String par4Str, java.lang.String par5Str, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionPerformed(GuiButton p_146284_1_)`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `void` | `func_146350_a(int p_146350_1_)`
    `void` | `initGui()`
    `void` | `updateScreen()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, doesGuiPauseGame, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, keyTyped, mouseClicked, mouseClickMove, mouseMovedOrUp, onGuiClosed, renderToolTip, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parentScreen

          protected GuiScreen parentScreen

    - #### field_146351_f

          protected java.lang.String field_146351_f

    - #### confirmButtonText

          protected java.lang.String confirmButtonText

    - #### cancelButtonText

          protected java.lang.String cancelButtonText

    - #### field_146357_i

          protected int field_146357_i

  - ### Constructor Detail

    - #### GuiYesNo

          public GuiYesNo(GuiScreen par1GuiScreen,
                  java.lang.String par2Str,
                  java.lang.String par3Str,
                  int par4)

    - #### GuiYesNo

          public GuiYesNo(GuiScreen par1GuiScreen,
                  java.lang.String par2Str,
                  java.lang.String par3Str,
                  java.lang.String par4Str,
                  java.lang.String par5Str,
                  int par6)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `GuiScreen`

    - #### actionPerformed

          protected void actionPerformed(GuiButton p_146284_1_)

      Overrides:
        `actionPerformed` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `GuiScreen`

    - #### func_146350_a

          public void func_146350_a(int p_146350_1_)

    - #### updateScreen

          public void updateScreen()

      Overrides:
        `updateScreen` in class `GuiScreen`